<template>
  <div class="create-agenda">
    <div class="columns is-centered">
      <div class="column is-two-thirds">
        <div class="box">
          <the-header  title="Agendar consulta" subtitle="Dentista" />
          <agenda-form agenda="dentist"></agenda-form>
        </div>
      </div> <!-- column -->
      <div class="column">
        <div class="box sticky">
          <h2 class="title">Informações</h2>
					<b-steps
						v-model="step"
						:has-navigation="false"
						vertical>
            <b-step-item label="Dados" icon="account">
							Preencha o formulário ao lado para recuperar os seus dados do nosso sistema.
            </b-step-item>

            <b-step-item label="Agenda" icon="calendar">
							Escolha uma data dentre as disponíveis, em seguida, escolha um horário
							livre na agenda do profissional.
            </b-step-item>

            <b-step-item label="Confira" icon="eye" disabled>
              Confira os dados na seção "Detalhes do agendamento". Em seguida, clique
              em "Salvar" e espere o processamento da requisição.
            </b-step-item>
        </b-steps>

          <div class="content">
          </div> <!-- content -->
        </div> <!-- box -->
      </div> <!-- column -->
    </div> <!-- columns -->
  </div>
</template>

<script>
import AgendaForm from '@/views/Agenda/components/AgendaForm'

export default {
  name: 'CreateAgenda',
  components: {
    'agenda-form': AgendaForm
  },
  data: function ()  {
    return {
      product: {},
      isEditing: false
    }
  },
  created () {
    this.$store.dispatch('toBegining')
  },
  computed: {
    step () {
      return this.$store.state.agenda.step
    }
  }
}
</script>

<style>
.sticky {
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 50px;
}
</style>
